Bug 17078 - Format fines on opac-account.pl
Summary: Format fines on opac-account.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-08 12:01 UTC by Marc Véron
Modified: 2017-12-07 22:16 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17078 - Format fines on opac-account.pl (2.85 KB, patch)
2016-08-08 12:11 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17078 - Format fines on opac-account.pl (2.95 KB, patch)
2016-08-08 13:11 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17078 - Format fines on opac-account.pl (2.97 KB, patch)
2016-08-09 09:24 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-08-08 12:01:46 UTC
Format fines on page "your fines" (opac-account.pl) following syspref CurrencyFormat

To verify:
- Log in to OPAC as a user who has fines or credits
- Go to page "your fines"
- Verify that values for "Fine amount", "Amount outstanding" 
  and "Total due" are not formatted as defined in syspref CurrencyFormat
  (e.g. for FR)
Comment 1 Marc Véron 2016-08-08 12:11:20 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-08-08 13:11:42 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-08-09 09:24:03 UTC
Created attachment 54185 [details] [review]
Bug 17078 - Format fines on opac-account.pl

To verify:
- Log in to OPAC as a user who has fines or credits
- Go to page "your fines"
- Verify that values for "Fine amount", "Amount outstanding"
  and "Total due" are not formatted as defined in syspref CurrencyFormat
  (e.g. for FR)

To test:
- Apply patch
- Repeat steps above
- Verify that values are formatted as appropriate with different
  settings for syspref CurrencyFormat

Note: This patch does not force text alignment to the right.
      Text alignement can be done using syspref OPACUserCSS
      (td.sum, td.credit, td.debit)

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-08-10 14:10:37 UTC
Pushed to master for Koha 16.11, thanks Marc!
Comment 5 Frédéric Demians 2016-08-23 10:09:56 UTC
Pushed in 16.05. Will be in 16.05.03.
Comment 6 Julian Maurice 2016-08-24 09:26:42 UTC
Pushed to 3.22.x, will be in 3.22.10